summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorvsibille2022-07-15 01:02:35 -0500
committervsibille2022-07-15 01:02:35 -0500
commit0780db68384a4e44437ac129934686f867f50b84 (patch)
tree862c389d63dab368b344df933320a78cb9c93429
parent0555b62e74ebb8c62378d494d6129002adf7281b (diff)
downloadaur-0780db68384a4e44437ac129934686f867f50b84.tar.gz
Return error when online version cannot be retrieved
-rwxr-xr-xupdate_MAC_SDK.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/update_MAC_SDK.zsh b/update_MAC_SDK.zsh
index 904f876cf1f9..52084e323ca4 100755
--- a/update_MAC_SDK.zsh
+++ b/update_MAC_SDK.zsh
@@ -35,7 +35,7 @@ function try_update(){
function main(){
local ver=$(get_last_version)
- [[ -n $ver ]] && try_update $ver || echo "Can't retrieve online version"
+ [[ -n $ver ]] && try_update $ver || { echo "Can't retrieve online version" && return 1 }
}
cd $0:A:h && main $@